# Function NumberFilter

- NumberFilter($locale: ILocaleService): formatNumber

- A filter used to format a number with a precision, using the locale.

  Arguments:

  - opt_precision: The used precision, default is 3.

  Examples:

       {{0.1234 | ngeoNumber}} => 0.123
       {{1.234 | ngeoNumber}} => 1.23
       {{12.34 | ngeoNumber}} => 12.3
       {{123.4 | ngeoNumber}} => 123
       {{1234 | ngeoNumber}} => 1230

  ### Returns

  Function used to format number into a string.

  ### Ng Inject

  ### Ngdoc

  filter

  ### Ngname

  ngeoNumber

  #### Parameters

  - ##### $locale: ILocaleService

    Angular locale

  #### Returns formatNumber

  - Defined in src/misc/filters.js:143

Generated using TypeDoc